Error Upgrading from M1

Ask questions about your setup or get help installing ZCS server (ZD section below).
incarose
Posts: 9
Joined: Fri Sep 12, 2014 10:00 pm

Error Upgrading from M1

Postby incarose » Tue Nov 15, 2005 8:31 am

I have several problems after upgrading from M1 :
1- user login

I get the following

"

An unknown application error has occurred. Please correct any errors and retry. If the problem persists, please contact your System Aministrator. (INVALID_PDU)

"
2- Trying to browse to the admin page returns an empty page, no login

dialog.


3- Trying to access the imap server from an email client, hangs, no return


4 - I see this in the logs


*** pls help

Thanks
Diego B
I got this from zimbra.log
2005-11-15 14:28:28,874 INFO [main] [] soap - Servlet SoapServlet starting up

2005-11-15 14:28:28,901 INFO [main] [] soap - Adding service AccountService to SoapServlet

2005-11-15 14:28:28,962 INFO [main] [] soap - Adding service MailService to SoapServlet

2005-11-15 14:28:29,065 INFO [main] [] misc - version=3.0.0_M2_740.RHEL4 release=20051114171614 builddate=20051114-1719 buildhost=build.liquidsys.com

2005-11-15 14:28:29,118 INFO [main] [] DbPool - Setting mysql connector property: maxActive=10

2005-11-15 14:28:29,118 INFO [main] [] misc - Setting mysql connection pool size to 10

2005-11-15 14:28:35,495 ERROR [main] [] Versions - DB Version Mismatch: ours="21" from DB="18"

2005-11-15 14:28:35,497 FATAL [main] [] soap - Unable to start servlet

java.lang.RuntimeException: Data version mismatch. Reinitialize or upgrade the backend data store.

at com.zimbra.cs.util.Zimbra.startup(Zimbra.java:89)

at com.zimbra.soap.SoapServlet.init(SoapServlet.java:118)

at javax.servlet.GenericServlet.init(GenericServlet.java:211)

at org.apache.catalina.core.StandardWrapper.loadServlet(StandardWrapper.java:1068)

at org.apache.catalina.core.StandardWrapper.load(StandardWrapper.java:900)

at org.apache.catalina.core.StandardContext.loadOnStartup(StandardContext.java:3823)

at org.apache.catalina.core.StandardContext.start(StandardContext.java:4087)

at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:759)

at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:739)

at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:524)

at org.apache.catalina.startup.HostConfig.deployWAR(HostConfig.java:800)

at org.apache.catalina.startup.HostConfig.deployWARs(HostConfig.java:695)

at org.apache.catalina.startup.HostConfig.deployApps(HostConfig.java:472)

at org.apache.catalina.startup.HostConfig.start(HostConfig.java:1106)

at org.apache.catalina.startup.HostConfig.lifecycleEvent(HostConfig.java:310)

at org.apache.catalina.util.LifecycleSupport.fireLifecycleEvent(LifecycleSupport.java:119)

at org.apache.catalina.core.ContainerBase.start(ContainerBase.java:1019)

at org.apache.catalina.core.StandardHost.start(StandardHost.java:718)

at org.apache.catalina.core.ContainerBase.start(ContainerBase.java:1011)

at org.apache.catalina.core.StandardEngine.start(StandardEngine.java:440)

at org.apache.catalina.core.StandardService.start(StandardService.java:450)

at org.apache.catalina.core.StandardServer.start(StandardServer.java:683)

at org.apache.catalina.startup.Catalina.start(Catalina.java:537)

at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)

at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)

at java.lang.reflect.Method.invoke(Method.java:585)

at org.apache.catalina.startup.Bootstrap.start(Bootstrap.java:271)

at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:409)


andreychek
Advanced member
Advanced member
Posts: 155
Joined: Fri Sep 12, 2014 9:58 pm

Error Upgrading from M1

Postby andreychek » Tue Nov 15, 2005 8:49 am

[quote user="incarose"]I have several problems after upgrading from M1 :
1- user login

I get the following

"

An unknown application error has occurred. Please correct any errors and retry. If the problem persists, please contact your System Aministrator. (INVALID_PDU)

"[/QUOTE]

Yeah, I got the same error on both of the upgrades I performed.
I received no information in the zimbra.log file, but in both cases the following shows up in the Zimbra debug window:


ode: "INVALID_PDU",

detail: [undefined],

method: "AjxSoapDoc.createFromXml:2",

msg: "Invalid SOAP PDU"



That error went away after I performed a uninstall/reinstall on one of the boxes. I'm kinda hoping to see the upgrade work on the other though :-)
Thanks,

-Eric
agnOstos
Advanced member
Advanced member
Posts: 96
Joined: Fri Sep 12, 2014 9:57 pm

Error Upgrading from M1

Postby agnOstos » Tue Nov 15, 2005 9:36 am

I think I'll wait to see how your problems get resolved before I upgrade to M2.
rsharpe
Outstanding Member
Outstanding Member
Posts: 254
Joined: Fri Sep 12, 2014 9:59 pm

Error Upgrading from M1

Postby rsharpe » Tue Nov 15, 2005 9:45 am

I've had the exact same problems, with one to add. I attempted a restart of the zimbra services.
On my LDAP and Mailstore server the services stopped just fine, but when they try to restart.
ERROR: service.FAILURE (system failure: getDirectContext) (cause: javax.naming.CommunicationException zimbra2.largnet.on.ca:389)

I did some poking around the zmcontrol script and before doing the startup it checks whether LDAP is started and if it is not it will start it. But I believe it is puking on discovering the status, then it doesn't start LDAP and everything else dies. So once I ran ldap start then zmcontrol start everything went swimmingly.
Now on my MTA I recieved an odd output when I ran zmcontrol restart:

Host zimbra.xxxxx.on.ca

Stopping antispam...Done

Stopping antivirus...Done

Stopping logger...Done

Stopping mailbox...FAILED

Error: no pid in /opt/zimbra/log/tomcat.pid

Error: assertion '-d /opt/zimbra/mysql' failed


Stopping mta...FAILED

/opt/zimbra/amavisd/sbin/amavisd: no process killed

/opt/zimbra/cyrus-sasl-2.1.21.ZIMBRA/sbin/saslauthd: no process killed


Stopping snmp...Done

Stopping spell...Done

Host zimbra.xxxx.on.ca

Starting antispam...Done.

Starting antivirus...Done.

Starting mta...Done.

Now I don't understand why it's trying to stop all of these services when it should only be running the MTA service (postfix, anti-virus, anti-spam).
One thing that I'm extremely happy to see is how much quicker zimbra is stopping and restarting, awesome job guys.
14319KevinH
Ambassador
Ambassador
Posts: 4558
Joined: Fri Sep 12, 2014 9:52 pm

Error Upgrading from M1

Postby 14319KevinH » Tue Nov 15, 2005 9:52 am

Just a quick note to say your best bet is to NOT upgrade. I've warned about this being a beta etc before, and seems like were going to need migration scripts. So best bet is to not upgrade and just reinstall. We know that will work.
We'll take a look at this today and see if it's going to be possible to upgrade.
rsharpe
Outstanding Member
Outstanding Member
Posts: 254
Joined: Fri Sep 12, 2014 9:59 pm

Error Upgrading from M1

Postby rsharpe » Tue Nov 15, 2005 9:58 am

I was planning a fresh install anyways I just thought I'd go through the upgrade to see what it would be like. And I'm just trying to do my tiny part to help make Zimbra the best it can be.
andreychek
Advanced member
Advanced member
Posts: 155
Joined: Fri Sep 12, 2014 9:58 pm

Error Upgrading from M1

Postby andreychek » Tue Nov 15, 2005 10:02 am

[quote user="14319KevinH"]Just a quick note to say your best bet is to NOT upgrade. I've warned about this being a beta etc before, and seems like were going to need migration scripts. So best bet is to not upgrade and just reinstall. We know that will work.
We'll take a look at this today and see if it's going to be possible to upgrade.[/QUOTE]

Okay, it's easy enough to reinstall if that's what is recommended, that's no problem.
I know you suggested that in past releases.
I found it a bit misleading this time around with the M2 installer in that the default is for it to perform an upgrade :-) M1 may have been the same way, but for me, this is my first upgrade :-) I tend to think of default options to be what is best supported, or what is suggested by the developers of the app. It also states during the install "It can be upgraded with no effect on existing accounts".
Perhaps a better default would be for it to perform a reinstall, and if someone changes the default, display a warning that it may not work properly. That'll keep at least some people from asking about it on here :-)

-Eric
14319KevinH
Ambassador
Ambassador
Posts: 4558
Joined: Fri Sep 12, 2014 9:52 pm

Error Upgrading from M1

Postby 14319KevinH » Tue Nov 15, 2005 10:12 am

Thanks for understnading. We want upgrade to be the default and for that to work. It's how we use it internally(but we upgrade several times a week so not as much has changed). We will get it there just going to take a little time to work out the kinks.
jerrygarcia4295
Posts: 12
Joined: Fri Sep 12, 2014 9:56 pm

Error Upgrading from M1

Postby jerrygarcia4295 » Tue Nov 15, 2005 10:24 am

I just want to make sure I do this w/ as few steps as possible ... has anyone gone to the new version on FC3 successfully ... and how did you do it? Thanks!
andreychek
Advanced member
Advanced member
Posts: 155
Joined: Fri Sep 12, 2014 9:58 pm

Error Upgrading from M1

Postby andreychek » Tue Nov 15, 2005 10:27 am

[quote user="jerrygarcia4295"]I just want to make sure I do this w/ as few steps as possible ... has anyone gone to the new version on FC3 successfully ... and how did you do it? Thanks![/QUOTE]

Not FC3, but I did on CentOS (same as RedHat Enterprise).
Uninstall, then reinstall, it worked great.
The steps:
/etc/init.d/zimbra stop

Verify no Zimbra processes are running

./install.sh -u

./install.sh
It's working great.

-Eric

Return to “Installation and Upgrade”

Who is online

Users browsing this forum: No registered users and 7 guests